#!/bin/bash
# DO NOT EDIT THIS FILE!
# Put your local configuration in conf.sh


# Default configuration values
# ----------------------------

# -- Constants --
CYAN='\033[0;36m'
GREEN='\033[0;32m'
RED='\033[0;31m'
NC='\033[0m'

# -- System --
# Skyreach in which system looks for packages
SKYREACH_HOST='panel.ubicast.eu'
SKYREACH_API_KEY=
# NTP
NTP_SERVER='ntp.ubuntu.com'
# SSL certificate
SSL_CERTIFICATE='/etc/ssl/certs/ssl-cert-snakeoil.pem'
SSL_CERTIFICATE_KEY='/etc/ssl/private/ssl-cert-snakeoil.key'
# APT sources
APT_CACHE_URL=

# -- Shell --
# ubicast shell account
SHELL_UBICAST_PWD=
# customer shell account
SHELL_ADMIN_PWD=

# -- Emails --
EMAIL_SMTP_SERVER=
EMAIL_SENDER='support@ubicast.eu'
# separate emails with comas in EMAIL_ADMINS
EMAIL_ADMINS='sysadmin@ubicast.eu'

# -- Wowza --
WOWZA_LIVE_PWD='test'
WOWZA_MANAGER_PWD='test'
WOWZA_LICENSE=

# -- MediaServer --
MS_SERVER_NAME='mediaserver'
MS_ID='fX_msuser'
# API key looks like: s00pN-aRseu-dnfMq-678CV-9nS9E
MS_API_KEY=
MS_SECRET='secret'
MS_SUPERUSER_PWD='test'
MS_ADMIN_PWD='test'

# -- Monitor --
MONITOR_SERVER_NAME='monitor'
MONITOR_SUPERUSER_PWD='test'
MONITOR_ADMIN_PWD='test'
MONITOR_SHELL_PWD=

# -- Campus Manager --
CM_SERVER_NAME='campusmanager'
CM_SUPERUSER_PWD='test'
CM_ADMIN_PWD='test'

# -- MySQL --
# if no password is set, it will not be changed or set
MYSQL_ROOT_PWD=
MYSQL_HOST=
# client IP seen by mysql server
MYSQL_CONTACT_IP=

# -- Celerity --
CELERITY_SIGNING_KEY='test'
CELERITY_WORKER_IP='127.0.1.1'

# -- Network configuration --
# applied with envsetup-launcher.sh client
NETWORK_IP=
NETWORK_DNS1=
NETWORK_DNS2=
NETWORK_MASK=
NETWORK_GATEWAY=
# define this if IP is NATed
NETWORK_IP_NAT=
# proxy
PROXY_HTTP=
PROXY_HTTPS=
PROXY_EXCLUDE=

# -- Backup server specific (burp) --
BURP_STATUS_IP=
BURPUI_PASSWORD='1234'
# FQDN
BURP_SERVER=''
BURP_MAIL_DEST='sysadmin@ubicast.eu'
# default mediaserver
BURP_CLIENT_NAME=
BURP_CLIENT_MAIL_DEST='sysadmin@ubicast.eu'

# -- HA server specific --
HA_NODE1='ha-ms3'
HA_NODE1_IP='192.168.41.178'
HA_NODE2='ha-ms4'
HA_NODE2_IP='192.168.41.179'
HA_LB1='ha-lb3'
HA_LB1_IP='192.168.41.177'
HA_LB2=
HA_LB2_IP=


# Upstream configuration override
# -------------------------------
# (file generated by Panel / Skyreach)
if [ -f "/root/envsetup/auto-generated-conf.sh" ]; then
	source "/root/envsetup/auto-generated-conf.sh"
fi

# Local configuration override
# ----------------------------
if [ -f "/root/envsetup/conf.sh" ]; then
	source "/root/envsetup/conf.sh"
fi
